> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sales order lines

## Field support per integration

<AccordionGroup>
  <Accordion title="abacus" icon={<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" transform="translate(-7,-4)" viewBox="0 0 192.756 192.756"><g fill-rule="evenodd" clip-rule="evenodd"><path fill="#fff" d="M0 0h192.756v192.756H0V0z"/><path d="M8.504 151.836h113.885c30.502 0 61.863-32.142 61.863-62.644V40.92H72.085c-30.498 0-63.582 32.458-63.582 62.956v47.96h.001z" fill="#cc212f"/><path d="M132.768 132.909c2.086 2.641 5.861 5.184 9.475 5.184 6.479 0 9.035-4.062 9.035-7.191 0-3.173-1.852-4.979-5.641-5.685l-4.627-.881c-1.758-.335-2.561-.883-2.561-2.16 0-1.719 1.896-2.603 3.879-2.603 1.498 0 3.309.312 5.557 2.207l2.6-3.217c-2.91-2.071-5.336-2.779-8.289-2.779-5.332 0-7.982 3.22-7.982 6.833 0 3.04 1.115 4.921 7.105 6.037l2.6.484c1.674.309 2.775 1.058 2.775 2.468 0 1.19-1.586 2.688-4.229 2.688-2.381 0-5.545-2.276-6.742-4.386l-2.955 3.001zm-20.872-4.387c0 5.992 4.672 9.57 9.738 9.57 5.068 0 9.738-3.578 9.738-9.57v-12.339h-4.582v11.942c0 3.129-2.291 5.375-5.156 5.375-2.863 0-5.156-2.246-5.156-5.375v-11.942l-4.582 2.239v10.1zm-2.193-7.222c-1.67-2.854-4.906-5.802-9.453-5.728-7.023.117-11.07 5.813-11.077 11.275-.005 5.42 3.533 10.803 10.854 11.218 4.441.252 7.848-2.583 10.102-6.15l-3.797-2.219c-1.527 2.402-3.42 4.439-6.49 3.99-3.432-.506-5.821-3.365-5.821-6.839 0-3.653 2.633-6.889 6.362-6.897 2.752-.008 4.084 1.533 5.363 3.249l3.957-1.899zm-67.827 16.212l4.343-1.997v-.603h.084c1.044 1.763 3.758 3.181 6.598 3.181 5.261 0 10.524-4.106 10.524-11.245 0-7.138-5.263-11.237-10.524-11.237-2.84 0-5.554 1.411-6.598 3.174h-.084v-9.569h-4.343v28.296zm16.955-10.664c0 3.966-2.672 6.919-6.305 6.919s-6.306-2.953-6.306-6.919 2.673-6.918 6.306-6.918 6.305 2.952 6.305 6.918zm-24.828 10.664h4.583v-21.328l-4.583 2.168v.433h-.088c-1.189-1.808-3.613-3.174-6.786-3.174-6.918 0-11.281 5.993-11.281 11.237 0 5.508 4.055 11.245 11.061 11.245 2.909 0 5.552-1.241 7.006-3.181h.088v2.6zm-13.307-10.664c0-3.833 3.085-6.918 6.786-6.918 3.613 0 6.698 3.085 6.698 6.918 0 3.834-3.085 6.919-6.698 6.919-3.701 0-6.786-3.085-6.786-6.919zm61.802 10.664h4.583v-21.328l-4.583 2.168v.433h-.088c-1.189-1.808-3.613-3.174-6.786-3.174-6.918 0-11.281 5.993-11.281 11.237 0 5.508 4.054 11.245 11.061 11.245 2.908 0 5.552-1.241 7.006-3.181h.088v2.6zM69.19 126.848c0-3.833 3.084-6.918 6.786-6.918 3.613 0 6.698 3.085 6.698 6.918 0 3.834-3.084 6.919-6.698 6.919-3.702 0-6.786-3.085-6.786-6.919z" fill="#fff"/></g></svg>}>
    <Note>
      Please ensure the query parameter `environmentName` is accurately populated with the appropriate environment.
      You can obtain this value by using the `GET Environments` endpoint available under the Authentication section.
    </Note>

    Supported filters:
    `none`

    Support pagination: `false`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="itemId" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxRatePercentage" type="string" />

    <ResponseField name="totalDiscountAmount" type="string" />

    <ResponseField name="totalDiscountPercentage" type="string" />

    <ResponseField name="totalGrossAmount" type="string" />

    <ResponseField name="totalNetAmount" type="string" />

    <ResponseField name="totalTaxAmount" type="string" />

    <ResponseField name="unitAmount" type="string" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml GET /accounting/salesOrders/{salesOrderId}/lineItems
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/salesOrders/{salesOrderId}/lineItems:
    get:
      tags:
        - accounting
      operationId: getSalesOrder
      parameters:
        - name: salesOrderId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/SalesOrderLineItemResponseDto'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    SalesOrderLineItemResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 9fc4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b
        itemId:
          type: string
          example: efa82f42-fd85-11e1-a21f-0800200c9a33
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        description:
          type: string
          example: SEOUL Guest Chair, red
        itemName:
          type: string
          example: RED CHAIR
        quantity:
          type: number
          example: 1
        taxCode:
          type: string
          example: CODE.19
        taxRatePercentage:
          type: number
          example: 19
        totalDiscountAmount:
          type: number
          example: 10
        totalDiscountPercentage:
          type: number
          example: 10
        totalGrossAmount:
          type: number
          example: 109
        totalNetAmount:
          type: number
          example: 100
        totalTaxAmount:
          type: number
          example: 19
        unitAmount:
          type: number
          example: 100
        unitDiscountAmount:
          type: number
          example: 10
        unitDiscountPercentage:
          type: number
          example: 10
        unitName:
          type: string
          example: PIECE
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````